wibble::sys::PipeThrough Struct Reference

`#include <pipe.h>`

## Public Member Functions

| PipeThrough (const std::string &_cmd)
std::string | run (std::string data)

## Public Attributes

std::string | cmd

## Constructor & Destructor Documentation

## PipeThrough()

wibble::sys::PipeThrough::PipeThrough | ( | const std::string & | _cmd | ) |

inline

## Member Function Documentation

## run()

std::string wibble::sys::PipeThrough::run | ( | std::string | data | ) |

inline

References cmd, wibble::sys::Pipe::eof(), wibble::sys::ChildProcess::fork(), wibble::sys::Pipe::nextChunk(), wibble::sys::ChildProcess::setupRedirects(), and wibble::sys::Pipe::wait().

## Member Data Documentation

## cmd

std::string wibble::sys::PipeThrough::cmd

Referenced by run().

The documentation for this struct was generated from the following file:

- pipe.h